//
//   FileControl2
/// @brief ファイル系関数群
//  Copyright 2012-15 AIG-Soft. All rights reserved.
//	利用は商用を含め自由とするが、コメントを含め無意味な改変はしないこと
//

#import <Foundation/Foundation.h>
#include <stdio.h>

NSString *makeFullPathForTemporaryPath(NSString *fname);
NSString *makeDocumentsPath(void);
NSString *makeFullPathForSaveData(NSString *fname);
NSString *makeFullPathForSaveDataFromDate(NSString *basename);
BOOL isFileExist(NSString *path);
BOOL fileDelete(NSString *path);

BOOL fileCopy(NSString *src,NSString *des);
BOOL fileMove(NSString *src,NSString *des);
off_t filelength(FILE *fp);

NSArray *files(NSString *basepath,NSString *ext,BOOL fhave,int mode,BOOL freg);
// files(mode)指定 : OR指定可能
#define FILES_FILE	0x0001
#define FILES_DIR	0x8000
#define FILES_ALL	(FILES_DIR|FILES_FILE)
// files(area)指定 : この関数には存在しないが、X-BASICのfilesで設定するので、ここに置いておく
#define	FILES_FAREA_USER	0x00001
#define	FILES_FAREA_SYSTEM	0x00002
#define	FILES_FAREA_ALL		(FILES_FAREA_USER|FILES_FAREA_SYSTEM)

/// @brief リソース内のパスを得る
/// @param fname	ファイル名
/// @param ext		拡張子
/// これはファイル検索も兼ねているのでextは必須(fnameに入れてもいい)
/// @return 得られたフルパス名。ファイルが見つからなかったらnilが返る
#define	makeFullPathForResource(fname,ext) [[NSBundle mainBundle]pathForResource:fname ofType:ext]

